#ifndef GRAFCET_BONACCION_H
#define GRAFCET_BONACCION_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   AccionImpl
//*******************************************************************
class AccionImpl :
	  virtual public BON::AtomImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// connectionEnd getters
	virtual std::multiset<GRAFCET_BON::Etapa>         getAsociacionSrcs();
	virtual std::set<GRAFCET_BON::Asociacion>         getInAsociacionLinks();
	//
	// attribute getters and setters
	virtual std::string getExpresion() ;
	virtual void        setExpresion( const std::string& val);

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
