#ifndef GRAFCET_BONDIAGRAMAGRAFCET_H
#define GRAFCET_BONDIAGRAMAGRAFCET_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   DiagramaGRAFCETImpl
//*******************************************************************
class DiagramaGRAFCETImpl :
	  virtual public BON::ModelImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// kind and role getters
	virtual std::set<GRAFCET_BON::Asociacion>         getAsociacion();
	virtual std::set<GRAFCET_BON::Etapa>    getEtapa();
	virtual std::set<GRAFCET_BON::Etapa>    getEtapa(int dummy);
	virtual std::set<GRAFCET_BON::EtapaInicial>       getEtapaInicial();
	virtual std::set<GRAFCET_BON::EtapaMultiple>      getEtapaMultiple();
	virtual std::set<GRAFCET_BON::FinAND>   getFinAND();
	virtual std::set<GRAFCET_BON::FinOR>    getFinOR();
	virtual std::set<GRAFCET_BON::InicioAND>          getInicioAND();
	virtual std::set<GRAFCET_BON::InicioOR> getInicioOR();
	virtual std::set<GRAFCET_BON::Instruccion>        getInstruccion();
	virtual std::set<GRAFCET_BON::Salida>   getSalida();
	virtual std::set<GRAFCET_BON::Salto>    getSalto();
	virtual std::set<GRAFCET_BON::SecuenciaInstrucciones> getSecuenciaInstrucciones();
	virtual std::set<GRAFCET_BON::Transicion>         getTransicion();

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
