#ifndef GRAFCET_BONETAPA_H
#define GRAFCET_BONETAPA_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   EtapaImpl
//*******************************************************************
class EtapaImpl :
	  virtual public BON::AtomImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// connectionEnd getters
	virtual std::multiset<GRAFCET_BON::Accion>        getAsociacionDsts();
	virtual std::multiset<GRAFCET_BON::InicioMultiple> getInicioMultipleDsts();
	virtual std::multiset<GRAFCET_BON::FinMultiple>   getFinMultipleDsts();
	virtual std::multiset<GRAFCET_BON::FinMultiple>   getFinMultipleSrcs();
	virtual std::multiset<GRAFCET_BON::InicioMultiple> getInicioMultipleSrcs();
	virtual std::set<GRAFCET_BON::EtapaMultiple>      getInEtapaMultipleLinks();
	virtual std::set<GRAFCET_BON::Salto>    getInSaltoLinks();
	virtual std::set<GRAFCET_BON::Transicion>         getInTransicionLinks();
	virtual std::set<GRAFCET_BON::Asociacion>         getOutAsociacionLinks();
	virtual std::set<GRAFCET_BON::EtapaMultiple>      getOutEtapaMultipleLinks();
	virtual std::set<GRAFCET_BON::Salto>    getOutSaltoLinks();
	virtual std::set<GRAFCET_BON::Transicion>         getOutTransicionLinks();
	virtual std::multiset<GRAFCET_BON::Etapa>         getSaltoDsts();
	virtual std::set<GRAFCET_BON::Salto>    getSaltoLinks();
	virtual std::multiset<GRAFCET_BON::Etapa>         getSaltoSrcs();
	virtual std::multiset<GRAFCET_BON::Etapa>         getTransicionDsts();
	virtual std::set<GRAFCET_BON::Transicion>         getTransicionLinks();
	virtual std::multiset<GRAFCET_BON::Etapa>         getTransicionSrcs();

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
