#include "stdafx.h"
#include "GRAFCETBonX.h"


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::EtapaMultipleImpl::accept( BON::Visitor *pVisitor)
{
	// visit the Connection
	pVisitor->visitConnection( BON::Connection( this));

}


//********************************************************************************
// 
//********************************************************************************
std::string GRAFCET_BON::EtapaMultipleImpl::getCondicion() 
{
	return FCOImpl::getAttribute("Condicion")->getStringValue();
}


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::EtapaMultipleImpl::setCondicion( const std::string& val)
{
	FCOImpl::getAttribute("Condicion")->setStringValue( val);
}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::Etapa
//********************************************************************************
GRAFCET_BON::Etapa GRAFCET_BON::EtapaMultipleImpl::getDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::Etapa sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Etapa empty;
	return empty;
}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::InicioMultiple
//********************************************************************************
GRAFCET_BON::InicioMultiple GRAFCET_BON::EtapaMultipleImpl::getInicioMultipleDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::InicioMultiple sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::InicioMultiple empty;
	return empty;
}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::FinMultiple
//********************************************************************************
GRAFCET_BON::FinMultiple GRAFCET_BON::EtapaMultipleImpl::getFinMultipleDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::FinMultiple sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::FinMultiple empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::FinMultiple
//********************************************************************************
GRAFCET_BON::FinMultiple GRAFCET_BON::EtapaMultipleImpl::getFinMultipleSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::FinMultiple sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::FinMultiple empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::InicioMultiple
//********************************************************************************
GRAFCET_BON::InicioMultiple GRAFCET_BON::EtapaMultipleImpl::getInicioMultipleSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::InicioMultiple sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::InicioMultiple empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::Etapa
//********************************************************************************
GRAFCET_BON::Etapa GRAFCET_BON::EtapaMultipleImpl::getSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::Etapa sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Etapa empty;
	return empty;
}

