#ifndef GRAFCET_BONFINMULTIPLE_H
#define GRAFCET_BONFINMULTIPLE_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   FinMultipleImpl
//*******************************************************************
class FinMultipleImpl :
	  virtual public BON::AtomImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// connectionEnd getters
	virtual std::multiset<GRAFCET_BON::Etapa>         getEtapaMultipleDsts();
	virtual std::multiset<GRAFCET_BON::Etapa>         getEtapaMultipleSrcs();
	virtual std::set<GRAFCET_BON::EtapaMultiple>      getInEtapaMultipleLinks();
	virtual std::set<GRAFCET_BON::EtapaMultiple>      getOutEtapaMultipleLinks();

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
