#include "stdafx.h"
#include "GRAFCETBonX.h"


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::TransicionImpl::accept( BON::Visitor *pVisitor)
{
	// visit the Connection
	pVisitor->visitConnection( BON::Connection( this));

}


//********************************************************************************
// 
//********************************************************************************
std::string GRAFCET_BON::TransicionImpl::getCondicion() 
{
	return FCOImpl::getAttribute("Condicion")->getStringValue();
}


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::TransicionImpl::setCondicion( const std::string& val)
{
	FCOImpl::getAttribute("Condicion")->setStringValue( val);
}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::Etapa
//********************************************************************************
GRAFCET_BON::Etapa GRAFCET_BON::TransicionImpl::getDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::Etapa sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Etapa empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::Etapa
//********************************************************************************
GRAFCET_BON::Etapa GRAFCET_BON::TransicionImpl::getSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::Etapa sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Etapa empty;
	return empty;
}


