#include "stdafx.h"
#include "GRAFCETBonX.h"


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::AsociacionImpl::accept( BON::Visitor *pVisitor)
{
	// visit the Connection
	pVisitor->visitConnection( BON::Connection( this));

}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::Accion
//********************************************************************************
GRAFCET_BON::Accion GRAFCET_BON::AsociacionImpl::getDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::Accion sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Accion empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::Etapa
//********************************************************************************
GRAFCET_BON::Etapa GRAFCET_BON::AsociacionImpl::getSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::Etapa sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Etapa empty;
	return empty;
}


