#ifndef GRAFCET_BONETAPAMULTIPLE_H
#define GRAFCET_BONETAPAMULTIPLE_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   EtapaMultipleImpl
//*******************************************************************
class EtapaMultipleImpl :
	  virtual public BON::ConnectionImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// attribute getters and setters
	virtual std::string getCondicion() ;
	virtual void        setCondicion( const std::string& val);
	//
	// connectionEnd getters
	virtual GRAFCET_BON::Etapa              getDst();
	virtual GRAFCET_BON::InicioMultiple     getInicioMultipleDst();
	virtual GRAFCET_BON::FinMultiple        getFinMultipleDst();
	virtual GRAFCET_BON::FinMultiple        getFinMultipleSrc();
	virtual GRAFCET_BON::InicioMultiple     getInicioMultipleSrc();
	virtual GRAFCET_BON::Etapa              getSrc();

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
