#ifndef GRAFCET_BONINSTRUCCION_H
#define GRAFCET_BONINSTRUCCION_H

#include "GRAFCETBonX.h"


namespace GRAFCET_BON
{
//*******************************************************************
//   C  L  A  S  S   InstruccionImpl
//*******************************************************************
class InstruccionImpl :
	  public AccionImpl
{
public:
	virtual void        accept( BON::Visitor *pVisitor);

	//
	// connectionEnd getters
	virtual std::set<GRAFCET_BON::SecuenciaInstrucciones> getInSecuenciaInstruccionesLinks();
	virtual std::set<GRAFCET_BON::SecuenciaInstrucciones> getOutSecuenciaInstruccionesLinks();
	virtual std::multiset<GRAFCET_BON::Instruccion>   getSecuenciaInstruccionesDsts();
	virtual std::set<GRAFCET_BON::SecuenciaInstrucciones> getSecuenciaInstruccionesLinks();
	virtual std::multiset<GRAFCET_BON::Instruccion>   getSecuenciaInstruccionesSrcs();

	///BUP
	// add your own members here
	///EUP
}; // class
}  // namespace


#endif
