#include "stdafx.h"
#include "GRAFCETBonX.h"


//********************************************************************************
// 
//********************************************************************************
void GRAFCET_BON::SecuenciaInstruccionesImpl::accept( BON::Visitor *pVisitor)
{
	// visit the Connection
	pVisitor->visitConnection( BON::Connection( this));

}


//********************************************************************************
// getDst() return value is a ConnectionEnd casted to GRAFCET_BON::Instruccion
//********************************************************************************
GRAFCET_BON::Instruccion GRAFCET_BON::SecuenciaInstruccionesImpl::getDst()
{
	BON::ConnectionEnd ce = ConnectionImpl::getDst();
	GRAFCET_BON::Instruccion sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Instruccion empty;
	return empty;
}


//********************************************************************************
// getSrc() return value is a ConnectionEnd casted to GRAFCET_BON::Instruccion
//********************************************************************************
GRAFCET_BON::Instruccion GRAFCET_BON::SecuenciaInstruccionesImpl::getSrc()
{
	BON::ConnectionEnd ce = ConnectionImpl::getSrc();
	GRAFCET_BON::Instruccion sp( ce);
	if ( sp)
		return sp;

	GRAFCET_BON::Instruccion empty;
	return empty;
}


